Campaigns Partial Update
Partial update a campaign's settings.
Authorization
oauth2 campaigns:writeGenerate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: campaigns:write
Path Parameters
Campaign ID.
Header Parameters
"2024-04-01"Value in
- "2024-04-01"
Response Body
application/json
curl -X PATCH "https://example.com/campaigns/0/" \ -H "X-29next-API-Version: 2024-04-01" \ -H "Content-Type: application/json" \ -d '{}'{ "additional_currencies": [ "str" ], "api_key": "string", "available_express_payment_methods": [ { "code": "string", "name": "string" } ], "available_payment_methods": [ { "code": "string", "name": "string" } ], "available_shipping_countries": [ { "code": "string", "name": "string" } ], "created_at": "2019-08-24T14:15:22Z", "currency": "str", "id": 0, "language": "str", "name": "string", "payment_gateway_group_id": 0, "payment_gateway_group_name": "string", "paypal_account_id": 0, "statement_descriptor": "string", "updated_at": "2019-08-24T14:15:22Z"}